﻿// Fill out your copyright notice in the Description page of Project Settings.

#pragma once

#include "CoreMinimal.h"
#include "GameFramework/SaveGame.h"
#include "LMSaveGame.generated.h"

/**
 * 
 */
UCLASS()
class LEGUMEMIX_API ULMSaveGame : public USaveGame
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, Category = "Legumix|Graphics")
	FVector2D ScreenResolution;
	
	UPROPERTY(EditAnywhere, BlueprintReadWrite, Category = "Legumix|Audio")
	int MasterAudio;
	UPROPERTY(EditAnywhere, BlueprintReadWrite, Category = "Legumix|Audio")
	int MusicAudio;
	UPROPERTY(EditAnywhere, BlueprintReadWrite, Category = "Legumix|Audio")
	int FxAudio;
	
	UPROPERTY(EditAnywhere, BlueprintReadWrite, Category = "Legumix|Controls")
	float MouseSensitivity;
};
